using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
	/// 检查类型生产单元
	/// </summary>
	[Description("检查类型生产单元")]
    public class T_BS_CHECK_TYPE_MINETYPE : MesEntityBase
    {
        /// <summary>
        /// 检查类型
        /// </summary>
        [Description("检查类型")]
        [DataFieldForeignKey("Nav_CheckType", "Nav_ListMineType")]
        public Guid? CHECK_TYPE_ID { get; set; }

        /// <summary>
        /// 检查类型
        /// </summary>
        [Description("导航：检查类型")]
        public virtual T_BS_CHECK_TYPE Nav_CheckType { get; set; }

        /// <summary>
        /// 生产单元  BSMineTypeEnum
        /// </summary>
        [Description("生产单元")]
        [DataFieldForeignKey("Nav_Enums")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid MINETYPE_ENUMS_ID { get; set; }

        /// <summary>
        /// 导航：生产单元
        /// </summary>
        [Description("导航：生产单元")]
        public virtual T_FM_ENUMS Nav_Enums { get; set; }
    }
}
